Subject: Re: bug#12396: 24.2.50; [PATCH] extend usability of gnus-read-ephemeral-emacs-bug-group

From: Juri Linkov <[email-masked]>
Date: Sat, 15 Sep 2012 01:54:31 +0300

> This is a use case I didn't have in mind.  I use the default window
> configuration of Gnus, where when you visit a mail or news group, the
> frame is split into two windows: one with the Summary buffer and one
> with the Article buffer, and the Summary buffer is selected.  Each line
> of the Summary buffer contains by default at least the subject line of
> an article in the group, and typing SPC or RET opens, in the Article
> buffer, the article listed at point in the Summary buffer.  In this
> scenario, it suffices for the search space for gnus-get-emacs-bug-number
> to be just the current line, that's why it doesn't work in your case.

I use the same configuration, but this still doesn't work in the
Summary buffer, because my Summary buffer is in the thread mode
where the subject line is displayed only for the top article of the
thread.  So for other articles in the thread in the Summary buffer
gnus-get-emacs-bug-number doesn't find a bug reference from the
current line.